# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) Python Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from ._models import AddressValue
from ._models import AnalyzeDocumentRequest
from ._models import AnalyzeResult
from ._models import AnalyzeResultOperation
from ._models import AuthorizeCopyRequest
from ._models import AzureBlobContentSource
from ._models import AzureBlobFileListContentSource
from ._models import BoundingRegion
from ._models import BuildDocumentClassifierRequest
from ._models import BuildDocumentModelRequest
from ._models import ClassifierDocumentTypeDetails
from ._models import ClassifyDocumentRequest
from ._models import ComponentDocumentModelDetails
from ._models import ComposeDocumentModelRequest
from ._models import CopyAuthorization
from ._models import CurrencyValue
from ._models import CustomDocumentModelsDetails
from ._models import Document
from ._models import DocumentBarcode
from ._models import DocumentCaption
from ._models import DocumentClassifierBuildOperationDetails
from ._models import DocumentClassifierDetails
from ._models import DocumentField
from ._models import DocumentFieldSchema
from ._models import DocumentFigure
from ._models import DocumentFootnote
from ._models import DocumentFormula
from ._models import DocumentKeyValueElement
from ._models import DocumentKeyValuePair
from ._models import DocumentLanguage
from ._models import DocumentLine
from ._models import DocumentList
from ._models import DocumentListItem
from ._models import DocumentModelBuildOperationDetails
from ._models import DocumentModelComposeOperationDetails
from ._models import DocumentModelCopyToOperationDetails
from ._models import DocumentModelDetails
from ._models import DocumentPage
from ._models import DocumentParagraph
from ._models import DocumentSection
from ._models import DocumentSelectionMark
from ._models import DocumentSpan
from ._models import DocumentStyle
from ._models import DocumentTable
from ._models import DocumentTableCell
from ._models import DocumentTypeDetails
from ._models import DocumentWord
from ._models import Error
from ._models import ErrorResponse
from ._models import InnerError
from ._models import OperationDetails
from ._models import QuotaDetails
from ._models import ResourceDetails
from ._models import Warning

from ._enums import ContentFormat
from ._enums import ContentSourceKind
from ._enums import DocumentAnalysisFeature
from ._enums import DocumentBarcodeKind
from ._enums import DocumentBuildMode
from ._enums import DocumentFieldType
from ._enums import DocumentFormulaKind
from ._enums import DocumentSelectionMarkState
from ._enums import DocumentSignatureType
from ._enums import DocumentTableCellKind
from ._enums import FontStyle
from ._enums import FontWeight
from ._enums import LengthUnit
from ._enums import OperationKind
from ._enums import OperationStatus
from ._enums import ParagraphRole
from ._enums import SplitMode
from ._enums import StringIndexType
from ._patch import __all__ as _patch_all
from ._patch import *  # pylint: disable=unused-wildcard-import
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AddressValue",
    "AnalyzeDocumentRequest",
    "AnalyzeResult",
    "AnalyzeResultOperation",
    "AuthorizeCopyRequest",
    "AzureBlobContentSource",
    "AzureBlobFileListContentSource",
    "BoundingRegion",
    "BuildDocumentClassifierRequest",
    "BuildDocumentModelRequest",
    "ClassifierDocumentTypeDetails",
    "ClassifyDocumentRequest",
    "ComponentDocumentModelDetails",
    "ComposeDocumentModelRequest",
    "CopyAuthorization",
    "CurrencyValue",
    "CustomDocumentModelsDetails",
    "Document",
    "DocumentBarcode",
    "DocumentCaption",
    "DocumentClassifierBuildOperationDetails",
    "DocumentClassifierDetails",
    "DocumentField",
    "DocumentFieldSchema",
    "DocumentFigure",
    "DocumentFootnote",
    "DocumentFormula",
    "DocumentKeyValueElement",
    "DocumentKeyValuePair",
    "DocumentLanguage",
    "DocumentLine",
    "DocumentList",
    "DocumentListItem",
    "DocumentModelBuildOperationDetails",
    "DocumentModelComposeOperationDetails",
    "DocumentModelCopyToOperationDetails",
    "DocumentModelDetails",
    "DocumentPage",
    "DocumentParagraph",
    "DocumentSection",
    "DocumentSelectionMark",
    "DocumentSpan",
    "DocumentStyle",
    "DocumentTable",
    "DocumentTableCell",
    "DocumentTypeDetails",
    "DocumentWord",
    "Error",
    "ErrorResponse",
    "InnerError",
    "OperationDetails",
    "QuotaDetails",
    "ResourceDetails",
    "Warning",
    "ContentFormat",
    "ContentSourceKind",
    "DocumentAnalysisFeature",
    "DocumentBarcodeKind",
    "DocumentBuildMode",
    "DocumentFieldType",
    "DocumentFormulaKind",
    "DocumentSelectionMarkState",
    "DocumentSignatureType",
    "DocumentTableCellKind",
    "FontStyle",
    "FontWeight",
    "LengthUnit",
    "OperationKind",
    "OperationStatus",
    "ParagraphRole",
    "SplitMode",
    "StringIndexType",
]
__all__.extend([p for p in _patch_all if p not in __all__])
_patch_sdk()
